petsc-3.4.2 2013-07-02

# PetscDrawSynchronizedGetMouseButton

Returns location of mouse and which button was pressed. Waits for button to be pressed.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawSynchronizedGetMouseButton(PetscDraw draw,PetscDrawButton *button,PetscReal *x_user,PetscReal *y_user,PetscReal *x_phys,PetscReal *y_phys)

Collective over PetscDraw

### Input Parameter

draw -the window to be used

### Output Parameters

| button | - one of PETSC_BUTTON_LEFT, PETSC_BUTTON_CENTER, PETSC_BUTTON_RIGHT
| x_user, y_user | - user coordinates of location (user may pass in 0).
| x_phys, y_phys | - window coordinates (user may pass in 0).

### See Also

PetscDrawGetMouseButton()

Level:intermediate
Location:src/sys/classes/draw/interface/dmouse.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages